Bug 619716 - somebody tries to read /etc/rhn/default/rhn_server_upload_package-push.conf
somebody tries to read /etc/rhn/default/rhn_server_upload_package-push.conf
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
540
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Jan Hutař
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2010-07-30 05:36 EDT by Jan Hutař
Modified: 2012-06-07 10:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 10:55:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2010-07-30 05:36:48 EDT
Description of problem:
Somebody tries to read /etc/rhn/default/rhn_server_upload_package-push.conf which do not exists and reports it as an "error" in /var/log/httpd/error_log. It should try to read /etc/rhn/default/rhn_server_upload_package_push.conf


Version-Release number of selected component (if applicable):
I have SW.nightly on F13 with quartz downgraded to quartz-1.5.2-4.jpp6.fc10.noarch
spacewalk-schema-1.1.21-1.fc13.noarch


How reproducible:
1 of 1 attempt


Steps to Reproduce:
1. I do not know how to trigger this, but I have done some pushing.


Actual results:
[Fri Jul 30 05:05:26 2010] [error] CONFIG PARSE WARNING: File not found or can't be read /etc/rhn/default/rhn_server_upload_package-push.conf
[Fri Jul 30 05:05:26 2010] [error] CONFIG PARSE WARNING: key not found in config default dict ('server', 'upload', 'package-push')
[Fri Jul 30 05:06:32 2010] [error] CONFIG PARSE WARNING: File not found or can't be read /etc/rhn/default/rhn_server_upload_package-push.conf
[Fri Jul 30 05:06:32 2010] [error] CONFIG PARSE WARNING: key not found in config default dict ('server', 'upload', 'package-push')


Expected results:
There should not be these errors.
Comment 1 Šimon Lukašík 2010-07-30 05:53:31 EDT
Ccing Mirek.

I have seen commit 49fa8fa2362ebb3cb2a1ce733f86d2a2576acf40 which might be related to this issue.
Comment 3 Jan Pazdziora 2010-09-01 08:20:32 EDT
Note that commit 49fa8f... was reverted by 35a3a81f90c673cb12a6d26560124d8874de68c4.
Comment 4 Jan Pazdziora 2010-09-01 08:22:41 EDT
In general, wasn't this bugzilla addressed in bug 624732, by reverting back to the original file names?
Comment 10 Jan Pazdziora 2012-06-07 10:55:41 EDT
Closing per comment 9.

Note You need to log in before you can comment on or make changes to this bug.